--- Licensed Materials - Property of IBM

--- 5724-L62

--- (C) Copyright IBM Corp. 2005  All Rights Reserved.

--- US Government Users Restricted Rights - Use, duplication or
--- disclosure restricted by GSA ADP Schedule Contract with
--- IBM Corp.

--- @(#)75   1.10   dbsql/src/db2/am.sql, am_dbsql, claret, 20050318010007 3/16/05 19:56:20

--- (c) 2002-2004 Cyanea Systems Corp.
--- All Rights Reserved

--- supress the output while doing drop tables.
update command options using o off;

drop table MQI_QUEUEMGR_SR_OVERVIEW;
drop table MQI_QUEUE_SR_OVERVIEW;
drop table CTG_SR_OVERVIEW;
drop table HEAP_REPORT;
drop table HEAP_DATA;
drop table HEAP_COMP;
drop table GC_DATA;
drop table MEMORY_DATA;
drop table SMFDAILYWORKINGXML;
drop table SMFDAILYWORKINGSTATS;
drop table TRAPACTIONS;
drop table TRAPDEFS;
drop table TEXTSTRING;
drop table METHOD;
drop table REQUEST;
drop table CONFIG;
drop table SMFCOLLECTOR;
drop table SMFDAILYXML;
drop table SMFDAILYSTATS;
drop table RELATIONSHIP;
drop table DUAL;
drop table REPORTDEF;
drop table VOLUMESTAT;
drop table PMISTATS;
drop table SERVERSTATS;
drop table AVAILABILITY;
drop table METHOD_DATA;
drop table METHODS;
drop table REQUESTS;
drop table PROBES;
drop table SERVERNAMES;
drop table METHODNAMES;
drop table CLASSNAMES;
drop table REQUESTNAMES;
drop table PROPERTIES;
drop table PREFERENCES;
drop table SRACONFIG;
drop table MAP_GR_SE;
drop table SERVERS;
drop table MAP_US_GR;
drop table GROUPS;
drop table MAP_US_RO;
drop table USERS;
drop table MAP_RO_FU;
drop table ROLES;
drop table FUNCTIONS;
drop table FGROUPS;
drop table CONFIGURATION;
drop table TABLEKEYS;
drop table POLLINGWEBSERVER;
drop table WEBSERVERCHARTDATA;
drop TABLE TRAP_HISTORY;
drop TABLE TRAP_THREAD_DUMP;
drop TABLE TRAP_METHOD_DETAIL;
drop TABLE TRAP_STACK_TRACE;
drop TABLE GPS;
drop TABLE SAM_TRACE;
drop table IMSEVENTS;
drop table IMSTHREADS;
drop table PORTALOVERVIEW;
drop table PORTALSTATS;
drop table GPSMASK;
drop table WBI_REQUEST_OVERVIEW;
drop view  WBI_BO_VIEW;
drop table MANAGINGSERVERSTATS;
drop table PROBE_CONFIG;
drop table SYSTEM_CONFIG;
drop table TRAP_CONFIG;
drop table SCHED_CONFIG;
drop table CONFIGURATION;


update command options using o on;
 
create table TABLEKEYS (
TABLENAME varchar(30) not null primary key,
NEXTKEY integer not null
) IN TS_MAINTABLESPACE;


create table FGROUPS (
FGROUPID integer not null primary key,
FGROUPNAME varchar(60) not null,
SEQ integer not null
) IN TS_MAINTABLESPACE;
insert into FGROUPS values (1,'PM',4);
insert into FGROUPS values (2,'PD',3);
insert into FGROUPS values (3,'ADMIN',1);
insert into FGROUPS values (4,'AVAIL',2);
delete from TABLEKEYS where TABLENAME = 'FGROUPS';
insert into TABLEKEYS values ('FGROUPS', 5);

create table FUNCTIONS (
FUNCTIONID integer not null primary key,
FUNCTION varchar(60) not null unique,
DESCRIPTION varchar(60) not null,
FGROUPID integer not null references FGROUPS(FGROUPID),
SEQ integer not null
) IN TS_MAINTABLESPACE;

insert into FUNCTIONS values (26,'/manageAccounts','ADMIN_ACCOUNT',3,1);
insert into FUNCTIONS values (32,'/editRoles','ADMIN_ROLE',3,2);
insert into FUNCTIONS values (29,'/servergroup/management','ADMIN_GROUP',3,3);
insert into FUNCTIONS values (44,'/config/manageDataCollector','DATA_COLLECTORS',3,4);
insert into FUNCTIONS values (53,'/servergroup/manageWebServers','WEB_ADMIN',3,5);
insert into FUNCTIONS values (55,'operateWebServer','OPERATE_WEB_SERVER',3,6);
insert into FUNCTIONS values (35,'/mod/console','EDIT_MOD',3,7);
insert into FUNCTIONS values (36,'/sysProp','EDIT_PROPERTIES',3,8);
insert into FUNCTIONS values (45,'/introspection','SELF_DIAGNOSIS',3,9);

insert into FUNCTIONS values (19,'/avm/main','VIEW_AVM',4,1);
insert into FUNCTIONS values (54,'/recent/activity','RECENT_ACTIVITY',4,2);
insert into FUNCTIONS values (1,'/sra','VIEW_SR',4,3);
insert into FUNCTIONS values (46,'/src','SRC',4,4);

insert into FUNCTIONS values (18,'/active','REQUEST_SEARCH',2,1);
insert into FUNCTIONS values (11,'/sad','VIEW_AAD',2,2);
insert into FUNCTIONS values (15,'changeThread','CHANGE_THREAD',2,3);
insert into FUNCTIONS values (49,'/memory/wizard1','MEMORY_ANALYSIS',2,5);
insert into FUNCTIONS values (50,'/heap','HEAP_ANALYSIS',2,6);
insert into FUNCTIONS values (51,'/memory/leak','MEMORY_LEAK',2,7);
insert into FUNCTIONS values (52,'/jtd','JVM_THREAD_DISPLAY',2,8);
insert into FUNCTIONS values (56,'operateThread','OPERATE_JVM_THREAD',2,9);
insert into FUNCTIONS values (21,'scc','SCC',2,10);
insert into FUNCTIONS values (10,'/trap','TRAP_MANAGEMENT',2,11);

insert into FUNCTIONS values (57,'/createReport1','CREATE_REPORT',1,1);

insert into FUNCTIONS values (2,'/manageReport','ADMIN_REPORT',1,2);
insert into FUNCTIONS values (47,'/dailystats','DAILY_STATS',1,3);

delete from TABLEKEYS where TABLENAME = 'FUNCTIONS';
insert into TABLEKEYS values ('FUNCTIONS', 58);

create table ROLES (
ROLEID integer not null primary key,
ROLE varchar(90) not null
) IN TS_MAINTABLESPACE;
insert into ROLES values (1,'Administrator');
insert into ROLES values (2,'Operator');
insert into ROLES values (3,'User');
delete from TABLEKEYS where TABLENAME = 'ROLES';
insert into TABLEKEYS values ('ROLES', 4);

create table MAP_RO_FU (
ROLEID integer not null references ROLES(ROLEID),
FUNCTIONID integer not null references FUNCTIONS(FUNCTIONID)
) IN TS_MAINTABLESPACE;
insert into MAP_RO_FU values (1,1);
insert into MAP_RO_FU values (2,1);
insert into MAP_RO_FU values (3,1);
insert into MAP_RO_FU values (1,2);
insert into MAP_RO_FU values (2,2);
insert into MAP_RO_FU values (3,2);
insert into MAP_RO_FU values (1,10);
insert into MAP_RO_FU values (1,11);
insert into MAP_RO_FU values (2,11);
insert into MAP_RO_FU values (3,11);
insert into MAP_RO_FU values (1,15);
insert into MAP_RO_FU values (1,18);
insert into MAP_RO_FU values (2,18);
insert into MAP_RO_FU values (3,18);
insert into MAP_RO_FU values (1,19);
insert into MAP_RO_FU values (2,19);
insert into MAP_RO_FU values (3,19);
insert into MAP_RO_FU values (1,21);
insert into MAP_RO_FU values (2,21);
insert into MAP_RO_FU values (3,21);
insert into MAP_RO_FU values (1,26);
insert into MAP_RO_FU values (1,29);
insert into MAP_RO_FU values (1,32);
insert into MAP_RO_FU values (1,35);
insert into MAP_RO_FU values (1,36);
insert into MAP_RO_FU values (1,44);
insert into MAP_RO_FU values (1,45);
insert into MAP_RO_FU values (2,45);
insert into MAP_RO_FU values (1,46);
insert into MAP_RO_FU values (2,46);
insert into MAP_RO_FU values (3,46);
insert into MAP_RO_FU values (1,47);
insert into MAP_RO_FU values (2,47);
insert into MAP_RO_FU values (3,47);
insert into MAP_RO_FU values (1,49);
insert into MAP_RO_FU values (2,49);
insert into MAP_RO_FU values (3,49);
insert into MAP_RO_FU values (1,50);
insert into MAP_RO_FU values (2,50);
insert into MAP_RO_FU values (1,51);
insert into MAP_RO_FU values (2,51);
insert into MAP_RO_FU values (1,52);
insert into MAP_RO_FU values (2,52);
insert into MAP_RO_FU values (3,52);
insert into MAP_RO_FU values (1,53);
insert into MAP_RO_FU values (2,53);
insert into MAP_RO_FU values (3,53);
insert into MAP_RO_FU values (1,54);
insert into MAP_RO_FU values (2,54);
insert into MAP_RO_FU values (3,54);
insert into MAP_RO_FU values (1,55);
insert into MAP_RO_FU values (1,56);
insert into MAP_RO_FU values (1,57);
insert into MAP_RO_FU values (2,57);
insert into MAP_RO_FU values (3,57);

create table USERS (
USERID integer not null primary key,
USERNAME varchar(150) not null unique,
FIRSTNAME varchar(60),
LASTNAME varchar(60),
STATUS varchar(20) not null,
EXT_USER varchar(30) not null,
DATE_CREATED timestamp,
DATE_UPDATED timestamp,
EMAIL varchar(50),
CUSTOM1 varchar(150),
CUSTOM2 varchar(150),
CUSTOM3 varchar(150),
ROLEID integer not null references ROLES(ROLEID),
DEFAULTPAGE varchar(200),
SERVERID varchar(50),
GROUPID integer,
PORTALID varchar(50),
CURRENTLOCALE varchar(12)
) IN TS_MAINTABLESPACE;
insert into USERS values (1,'admin','Am','Administrator','active','admin',current timestamp, current timestamp,'','','','',1,'','',0,'0','');
delete from TABLEKEYS where TABLENAME = 'USERS';
insert into TABLEKEYS values ('USERS', 2);

create table GROUPS (
GROUPID integer not null primary key,
GROUPNAME varchar(90) not null unique,
DESCRIPTION varchar(60),
THRESHOLD1 integer,
THRESHOLD2 integer,
BASELINE integer,
BASELINE_START bigint,
BASELINE_END bigint,
BASELINE_RT integer,
BASELINE_TYPE integer,
L1SAMPLINGRATE integer,
L2SAMPLINGRATE integer,
L3SAMPLINGRATE integer,
SCHEDULEID varchar(20),
PORTALPROPERTIES varchar(3000)
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'GROUPS';
insert into TABLEKEYS values ('GROUPS', 1);

create table MAP_US_GR (
USERID integer not null references USERS(USERID),
GROUPID integer not null references GROUPS(GROUPID)
) IN TS_MAINTABLESPACE;

create table SERVERS (
SERVERID integer not null primary key,
PROBEID varchar(40),
CONTROLLERID varchar(40) not null unique,
ADMIN_SERVER varchar(40),
APP_SERVER varchar(40),
PORT_NUMBER varchar(20),
PLATFORM varchar(20),
IP_ADDRESS varchar(20),
APPS_PLATFORM varchar(20),
APPS_VERSION varchar(20),
MAX_HEAP_SIZE integer,
MIN_HEAP_SIZE integer,
isportal integer default 0,
ISCONFIGURED integer,
CONFIGID integer,
CONFIGUSER  varchar(50),
STARTTIME timestamp
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'SERVERS';
insert into TABLEKEYS values ('SERVERS', 1);
create index SERV_PROBE on SERVERS(PROBEID);

create table MAP_GR_SE (
GROUPID integer not null references GROUPS(GROUPID),
SERVERID integer not null references SERVERS(SERVERID)
) IN TS_MAINTABLESPACE;

create table PROPERTIES (
KEYNAME varchar(20) not null primary key,
SEQ integer not null,
PROPERTY varchar(3000) not null
) IN TS_MAINTABLESPACE;

create table TEXTSTRING (
ID integer not null primary key,
TEXTSTRING varchar(255) not null unique
) IN TS_MAINTABLESPACE;
insert into TEXTSTRING values (0,'Unknown');
delete from TABLEKEYS where TABLENAME = 'TEXTSTRING';
insert into TABLEKEYS values ('TEXTSTRING', 1);

create table PROBES (
ID integer not null primary key,
PROBEID varchar(40) not null unique
) IN TS_MAINTABLESPACE;
insert into PROBES values (0,'Unknown');
delete from TABLEKEYS where TABLENAME = 'PROBES';
insert into TABLEKEYS values ('PROBES', 1);

create table REQUEST (
PROBEID integer not null,
REQUEST_ID integer not null,
REQUEST_TYPE integer not null,
SERVER_REQUEST_TYPE integer not null,
DEPTH integer not null, 
ENTRY_SEQ integer not null,
EXIT_SEQ integer not null,
APPNAME_ID integer not null,
REQUESTNAME_ID integer not null,
URL_ID integer not null,
TOP_RTYPE integer not null,
TOP_AN_ID integer not null,
TOP_RN_ID integer not null,
TOP_UN_ID integer not null,
PAR_CTYPE integer not null,
PAR_CN_ID integer not null,
PAR_MN_ID integer not null,
START_TIME timestamp not null,
END_TIME timestamp not null,
ENTRY_CLOCK bigint not null,
EXIT_CLOCK bigint not null,
ENTRY_CPU bigint not null,
EXIT_CPU bigint not null,
RESPONSE_TIME bigint not null,
CPU_TIME bigint not null,
IDLE_TIME bigint not null,
MONITOR_LEV integer not null,
SAMPLE_RATE double not null,
WRAP_METHODS integer not null,
SQL_CALL integer not null,
ADDITIONAL_INFO integer not null,
CLEARED_SAMPLING integer not null,
imsmessagetype integer default 0,
STATUS integer default 0 
) IN TS_REQUEST;
delete from TABLEKEYS where TABLENAME = 'REQUEST';
insert into TABLEKEYS values ('REQUEST', 1);
create index R_PROBEID on REQUEST(PROBEID) PCTFREE 20;
create index R_REQID on REQUEST(REQUEST_ID) PCTFREE 20;
create index R_ENTRY on REQUEST(ENTRY_SEQ) PCTFREE 20;
create index R_APPID on REQUEST(APPNAME_ID) PCTFREE 20;
create index R_NAMEID on REQUEST(REQUESTNAME_ID) PCTFREE 20;
create index R_URLID on REQUEST(URL_ID) PCTFREE 20;
create index R_TANID on REQUEST(TOP_AN_ID) PCTFREE 20;
create index R_TRNID on REQUEST(TOP_RN_ID) PCTFREE 20;
create index R_TUNID on REQUEST(TOP_UN_ID) PCTFREE 20;
create index R_PCNID on REQUEST(PAR_CN_ID) PCTFREE 20;
create index R_PMNID on REQUEST(PAR_MN_ID) PCTFREE 20;
create index R_REQ ON REQUEST (REQUEST_TYPE) PCTFREE 20;
create index R_TIME ON REQUEST (START_TIME ASC, END_TIME ASC) CLUSTER PCTFREE 20;
create index R_STATUS on REQUEST(STATUS) PCTFREE 20;

create table METHOD (
PROBEID integer not null,
REQUEST_ID integer not null,
DEPTH integer not null, 
ENTRY_SEQ integer not null,
EXIT_SEQ integer not null,
CLASSNAME_ID integer not null,
METHODNAME_ID integer not null,
START_TIME timestamp not null,
ENTRY_CLOCK bigint not null,
EXIT_CLOCK bigint not null,
ENTRY_CPU bigint not null,
EXIT_CPU bigint not null,
RESPONSE_TIME bigint not null,
CPU_TIME bigint not null,
CLASSTYPE integer not null,
TOP_RTYPE integer not null,
TOP_AN_ID integer not null,
TOP_RN_ID integer not null,
TOP_UN_ID integer not null,
SAMPLE_RATE double not null,
STATUS integer default 0 
) IN TS_METHOD;
create index M_PROBEID on METHOD(PROBEID) PCTFREE 20;
create index M_REQID on METHOD(REQUEST_ID) PCTFREE 20;
create index M_CLASSID on METHOD(CLASSNAME_ID) PCTFREE 20;
create index M_NAMEID on METHOD(METHODNAME_ID) PCTFREE 20;
create index M_TANID on METHOD(TOP_AN_ID) PCTFREE 20;
create index M_TRNID on METHOD(TOP_RN_ID) PCTFREE 20;
create index M_TUNID on METHOD(TOP_UN_ID) PCTFREE 20;
create index M_STATUS on METHOD(STATUS) PCTFREE 20;
create index M_START on METHOD(START_TIME) CLUSTER PCTFREE 20;

create table SERVERSTATS (
PROBE_ID integer not null,
CURRENT_TIME timestamp not null,
YEARVALUE integer not null,
DOYVALUE integer not null,
HOURVALUE integer not null,
MINUTEVALUE integer not null,
REQ_COUNT integer not null,
STATUS integer not null
) IN TS_MAINTABLESPACE;
create index STA_SERVID on SERVERSTATS(PROBE_ID);
create index STA_TIME on SERVERSTATS(CURRENT_TIME);
create index STA_YEAR on SERVERSTATS(YEARVALUE);
create index STA_DOY on SERVERSTATS(DOYVALUE);
create index STA_HOUR on SERVERSTATS(HOURVALUE);
create index STA_MINUTE on SERVERSTATS(MINUTEVALUE);

create table PMISTATS (
PROBE_ID integer not null,
CURRENT_TIME timestamp not null,
POOL_SIZE integer not null,
CONC_WAITERS integer not null,
AVG_WAIT_TIME integer not null,
FAULTS integer not null,
PCT_POOL_USAGE integer not null,
PHYSICAL_CONN integer not null,
CONN_HANDLES integer not null,
JVM_FREE_MEM integer not null,
JVM_MEM_USED integer not null,
JVM_CPU integer not null,
SYSTEM_CPU integer not null,
NUM_SESSIONS integer not null,
DISKSPACE double not null,
DISKIO double not null,
NETWORKIO double not null,
PHYSICALMEMORY double not null,
PROCVIRTUALMEMORY double not null,
THREADPOOLMAXCOUNT int not null,
THREADPOOLACTIVECOUNT int not null
) IN TS_MAINTABLESPACE;
create index PMI_SERVID on PMISTATS(PROBE_ID);
create index PMI_TIME on PMISTATS(CURRENT_TIME);

create table VOLUMESTAT (
PROBEID integer not null,
CURRENT_TIME timestamp not null,
YEARVALUE integer not null,
DOYVALUE integer not null,
HOURVALUE integer not null,
MINUTEVALUE integer not null,
REQ_COUNT bigint not null,
AVG_RES_TIME integer not null
) IN TS_MAINTABLESPACE;
create index VOL_SERVID on VOLUMESTAT(PROBEID);
create index VOL_TIME on VOLUMESTAT(CURRENT_TIME);
create index VOL_YEAR on VOLUMESTAT(YEARVALUE);
create index VOL_DOY on VOLUMESTAT(DOYVALUE);
create index VOL_HOUR on VOLUMESTAT(HOURVALUE);
create index VOL_MINUTE on VOLUMESTAT(MINUTEVALUE);

create table REPORTDEF (
REPORTID integer not null primary key,
NAME varchar(300) not null,
OWNERID integer not null references USERS(USERID),
GROUPID integer,
SERVERID integer,
REPORTTYPE integer not null,
DATECREATED timestamp not null,
PROPERTIES varchar(3000) not null,
ISSCHEDULED integer not null
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'REPORTDEF';
insert into TABLEKEYS values ('REPORTDEF', 1);

create table DUAL (
DUMMY int
) IN TS_MAINTABLESPACE;
insert into DUAL values (0);

create table RELATIONSHIP (
CLIENT_ID varchar(100) not null,
SERVER_ID varchar(100) not null,
primary key (CLIENT_ID)
) IN TS_MAINTABLESPACE;

create table SMFDAILYSTATS (
ID integer not null primary key,
APP_SERVER_ID varchar(40) not null,
POLL_TIME timestamp not null,
EJB_VOL bigint not null,
SERVLET_VOL bigint not null,
TRANSACT_VOL bigint not null
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'SMFDAILYSTATS';
insert into TABLEKEYS values ('SMFDAILYSTATS', 1);
create index SMF_SERV on SMFDAILYSTATS(APP_SERVER_ID);
create index SMF_TIME on SMFDAILYSTATS(POLL_TIME);

create table SMFDAILYXML (
ID integer not null,
SEQ integer not null,
XMLDATA varchar(3000) not null
) IN TS_MAINTABLESPACE;
create index SMF_ID on SMFDAILYXML(ID);

create table SMFCOLLECTOR (
PROBEID varchar(40) not null,
PSID varchar(40) not null,
COLLECT_TIME timestamp not null,
CONSTRAINT PROBEID_TIME_UNIQ UNIQUE (PROBEID, COLLECT_TIME)
) IN TS_MAINTABLESPACE;

create table CONFIG (
CONFIG_ID integer not null primary key,
CONFIG_NAME varchar(20),
EXCLUDE varchar(1500),
EXCLUDE_OVERRIDE varchar(1500),
MQENABLED integer not null
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'CONFIG';
insert into TABLEKEYS values ('CONFIG', 4);
insert into CONFIG values (1, 'default1', 'com.cyanea.*,javax.*,oracle.*,sun.*,java.*,com.sun.*,com.ibm.*,weblogic.*,COM.rsa.*,org.w3c.*,org.omg.*,org.xml.*,com.beasys.*,utils.version.*,org.apache.*,flexlm.*,antlr.*,com.tivoli.*,$P*.*,COM.ibm.*,com.iplanet.*,com.kivasoft.*,com.netscape.*,COM.jrockit.*,com.octetstring.*,netscape.*,com.asn1c.*,db2j.*', '', -1);
insert into CONFIG values (2, 'default2', 'DFH*,CSQ*,DSN*,DFS*,CYN*', '', -1);
insert into CONFIG values (3, 'default3', '', '', -1);

CREATE TABLE TRAPDEFS (
  TRAPDEFID INT NOT NULL,
  USERID INT NOT NULL,
  TRAPNAME VARCHAR(90),
  TRAPDESCRIPTION VARCHAR(150),
  TRAPTYPE INT NOT NULL,
  TARGETTYPE INT NOT NULL,
  OPERATOR INT NOT NULL,
  CONDITIONVALUE VARCHAR(255),
  REQUESTFILTER VARCHAR(1024),
  METHODFILTER VARCHAR(1024),
  SQLFILTER VARCHAR(1024),
  PRIMARY KEY(TRAPDEFID), 
  EXCEPTIONFILTER VARCHAR(255),
  SUPPRESSIONTIME INT NOT NULL default 0) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'TRAPDEFS';
insert into TABLEKEYS values ('TRAPDEFS', 1);

CREATE TABLE TRAPACTIONS (
  ACTIONID INT NOT NULL,
  TRAPDEFID INT NOT NULL,
  ACTIONTYPE INT NOT NULL,
  ALERTCOUNT INT NOT NULL,
  EMAILRECIPIENTS VARCHAR(1024),
  SEVERITY INT ,
  PRIMARY KEY(ACTIONID, TRAPDEFID) ) IN TS_MAINTABLESPACE;

create table SMFDAILYWORKINGSTATS (
ID integer not null primary key,
PROBE_START_TIME timestamp not null,
APP_SERVER_ID varchar(40) not null,
POLL_TIME timestamp not null,
EJB_VOL bigint not null,
SERVLET_VOL bigint not null,
TRANSACT_VOL bigint not null
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'SMFDAILYWORKINGSTATS';
insert into TABLEKEYS values ('SMFDAILYWORKINGSTATS', 1);

create table SMFDAILYWORKINGXML (
ID integer not null,
SEQ integer not null,
XMLDATA varchar(3000) not null,
APP_SERVER_ID varchar(40) not null
) IN TS_MAINTABLESPACE;

create table MEMORY_DATA (
PROBEID varchar(50) not null,
CURRENT_TIME timestamp not null,
YEARVALUE integer not null,
DOYVALUE integer not null,
HOURVALUE integer not null,
MINUTEVALUE integer not null,
JVM_CPU integer not null,
JVM_HEAP_SIZE integer not null,
REQ_COUNT bigint not null,
AVG_RES_TIME integer not null,
SESSION_COUNT integer not null,
SYS_PAGE_RATE integer not null,
EDSA_HEAP_SIZE integer not null
) IN TS_MAINTABLESPACE;
create index MEM_PROBEID on MEMORY_DATA(PROBEID);

create table GC_DATA (
PROBEID varchar(50) not null,
CURRENT_TIME timestamp not null,
YEARVALUE integer not null,
DOYVALUE integer not null,
HOURVALUE integer not null,
MINUTEVALUE integer not null,
GC_COUNT integer not null,
TOTAL_GC_TIME integer not null,
AVG_HEAP_SIZE integer not null
) IN TS_MAINTABLESPACE;
create index GC_PROBEID on GC_DATA(PROBEID);

create table HEAP_COMP (
ID varchar(40) not null primary key,
PROBEID varchar(50) not null,
HEAP1_TIME timestamp,
HEAP1_SIZE bigint,
HEAP1_OBJ bigint,
HEAP2_TIME timestamp,
HEAP2_SIZE bigint,
HEAP2_OBJ bigint,
HEAPCOMP1STATUS integer not null default 1,
HEAPCOMP2STATUS integer not null default 1
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'HEAP_COMP';
insert into TABLEKEYS values ('HEAP_COMP', 1);
create index HC_PROBEID on HEAP_COMP(PROBEID);

create table HEAP_DATA (
ID varchar(40) not null,
HEAP_TYPE integer not null,
CLASSNAME varchar(60) not null,
NUMBER_INST bigint not null,
TOTAL_SIZE bigint not null
) IN TS_MAINTABLESPACE;
create index HD_ID on HEAP_DATA(ID);

create table HEAP_REPORT (
REPORTID varchar(50) not null primary key,
PROBEID varchar(50) not null,
TIME_STAMP timestamp,
WAIT_TIME bigint not null
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'HEAP_REPORT';
insert into TABLEKEYS values ('HEAP_REPORT', 1);

create table POLLINGWEBSERVER (
SERVERID integer not null,
IP_HOST varchar(150) not null,
PORT integer not null,
DATEADDED bigint
) IN TS_MAINTABLESPACE;

create table WEBSERVERCHARTDATA (
SERVERID integer not null,
IP_HOST varchar(50) not null,
PORT integer not null,
CURRENTTIME timestamp not null,
BYTESPERSEC integer not null,
REQPERSEC integer not null,
BYTESPERREQ integer not null
) IN TS_MAINTABLESPACE;
create index WS_SERVERID on WEBSERVERCHARTDATA(SERVERID);




CREATE TABLE TRAP_HISTORY (
  ID INTEGER NOT NULL PRIMARY KEY,  
  TRAPDEFS_ID INTEGER NOT NULL ,
  TRAP_INST_ID VARCHAR(50) NOT NULL,
  FIRE_TIME TIMESTAMP NOT NULL,
  PROBE_ID VARCHAR(40) NOT NULL,
  PROBE_INST_ID VARCHAR(50) NOT NULL,
  OFF_VAL VARCHAR(50) NOT NULL,
  NUM_HITS INTEGER NOT NULL,
  RES_TIME BIGINT NOT NULL,
  CPU_TIME BIGINT NOT NULL,
  ACTION_TAKEN INTEGER NOT NULL,
  SEVERITY INTEGER NOT NULL,
  SUPPRESSED VARCHAR(1) NOT NULL default '0'
) IN TS_MAINTABLESPACE;

CREATE INDEX TRAPHIST_UNIQUE_ID ON TRAP_HISTORY(TRAPDEFS_ID, PROBE_INST_ID, FIRE_TIME, NUM_HITS, ACTION_TAKEN);
CREATE INDEX TRAPHIST_TIME ON TRAP_HISTORY(FIRE_TIME);
CREATE INDEX TRAPHIST_PROBE ON TRAP_HISTORY(PROBE_INST_ID);
delete from TABLEKEYS where TABLENAME='TRAP_HISTORY';
insert into TABLEKEYS values ('TRAP_HISTORY', 1);


CREATE TABLE TRAP_THREAD_DUMP (
  ID INTEGER NOT NULL PRIMARY KEY,
  TH_ID INTEGER NOT NULL,
  SEQ INTEGER NOT NULL,
  TH_DUMP CLOB(32000) NOT NULL 
) IN TS_MAINTABLESPACE;
CREATE INDEX TRAP_THR_DUMP_ID ON TRAP_THREAD_DUMP(TH_ID);
delete from TABLEKEYS where TABLENAME='TRAP_THREAD_DUMP';
insert into TABLEKEYS values ('TRAP_THREAD_DUMP', 1);


CREATE TABLE TRAP_METHOD_DETAIL (
  ID INTEGER NOT NULL PRIMARY KEY,
  TH_ID INTEGER NOT NULL, 
  DEPTH INTEGER NOT NULL, 
  TYPE INTEGER NOT NULL, 
  SUBTYPE INTEGER NOT NULL,  
  ENTRY_SEQ INTEGER, 
  EXIT_SEQ INTEGER,
  ENTRY_CPU BIGINT,
  EXIT_CPU BIGINT,
  ENTRY_CLOCK BIGINT,
  EXIT_CLOCK BIGINT,
  DESC1 INTEGER,
  DESC2 INTEGER,
  DESC3 INTEGER 
) IN TS_MAINTABLESPACE;
CREATE INDEX TMD_ENTRY_IDX ON TRAP_METHOD_DETAIL(TH_ID, ENTRY_SEQ);
CREATE INDEX TMD_EXIT_IDX ON TRAP_METHOD_DETAIL(TH_ID, EXIT_SEQ);
delete from TABLEKEYS where TABLENAME='TRAP_METHOD_DETAIL';
insert into TABLEKEYS values ('TRAP_METHOD_DETAIL', 1);

CREATE TABLE TRAP_STACK_TRACE (
  ID INTEGER NOT NULL PRIMARY KEY,
  TH_ID INTEGER NOT NULL,
  SEQ INTEGER NOT NULL,
  CLASS_ID INTEGER NOT NULL,
  METHOD_ID INTEGER NOT NULL
) IN TS_MAINTABLESPACE;
CREATE INDEX TST_TRAPHIST ON TRAP_STACK_TRACE(TH_ID, SEQ);
delete from TABLEKEYS where TABLENAME='TRAP_STACK_TRACE';
insert into TABLEKEYS values ('TRAP_STACK_TRACE', 1);


CREATE TABLE MQI_QUEUEMGR_SR_OVERVIEW (
  PROBE_ID INTEGER NOT NULL,
  QUEUEMANAGERNAME_ID INTEGER NOT NULL,
  CURRENT_TIME TIMESTAMP NOT NULL,
  MQBACK_AVG_TIME BIGINT NOT NULL,
  MQBACK_COUNT INTEGER NOT NULL,
  MQBEGIN_AVG_TIME BIGINT NOT NULL,
  MQBEGI_COUNT INTEGER NOT NULL,
  MQCLOSE_AVG_TIME BIGINT NOT NULL,
  MQCLOSE_COUNT INTEGER NOT NULL,
  MQCMIT_AVG_TIME BIGINT NOT NULL,
  MQCMIT_COUNT INTEGER NOT NULL,
  MQCONN_AVG_TIME BIGINT NOT NULL,
  MQCONN_COUNT INTEGER NOT NULL,
  MQCONNX_AVG_TIME BIGINT NOT NULL,
  MQCONNX_COUNT INTEGER NOT NULL,
  MQDISC_AVG_TIME BIGINT NOT NULL,
  MQDISC_COUNT INTEGER NOT NULL,
  MQINQ_AVG_TIME BIGINT NOT NULL,
  MQINQ_COUNT INTEGER NOT NULL,
  MQGET_AVG_TIME BIGINT NOT NULL,
  MQGET_COUNT INTEGER NOT NULL,
  MQOPEN_AVG_TIME BIGINT NOT NULL,
  MQOPEN_COUNT INTEGER NOT NULL,
  MQPUT_AVG_TIME BIGINT NOT NULL,
  MQPUT_COUNT INTEGER NOT NULL,
  MQPUT1_AVG_TIME BIGINT NOT NULL,
  MQPUT1_COUNT INTEGER NOT NULL,
  MQSET_AVG_TIME BIGINT NOT NULL,
  MQSET_COUNT INTEGER NOT NULL
) IN TS_MAINTABLESPACE;

CREATE TABLE CTG_SR_OVERVIEW (
  PROBE_ID INTEGER NOT NULL,
  GATEWAYNAME_ID INTEGER NOT NULL,
  SERVERNAME_ID INTEGER NOT NULL,
  PROGRAMNAME_ID INTEGER NOT NULL,
  CURRENT_TIME TIMESTAMP NOT NULL,
  AVG_TIME BIGINT NOT NULL,
  COUNT INTEGER NOT NULL
) IN TS_MAINTABLESPACE;


CREATE TABLE MQI_QUEUE_SR_OVERVIEW (
  PROBE_ID INTEGER NOT NULL,
  QUEUEMANAGERNAME_ID INTEGER NOT NULL,
  QUEUENAME_ID INTEGER NOT NULL,
  CURRENT_TIME TIMESTAMP NOT NULL,
  MQGET_AVG_TIME BIGINT NOT NULL,
  MQGET_COUNT INTEGER NOT NULL,
  MQPUT_AVG_TIME BIGINT NOT NULL,
  MQPUT_COUNT INTEGER NOT NULL,
  MQPUT1_AVG_TIME BIGINT NOT NULL,
  MQPUT1_COUNT INTEGER NOT NULL
) IN TS_MAINTABLESPACE;

create table IMSEVENTS (
ID INTEGER NOT NULL PRIMARY KEY,
REQUESTID INTEGER NOT NULL,
PROBEID VARCHAR(40) ,
EVENTTYPE INTEGER NOT NULL,
STARTTIME TIMESTAMP NOT NULL,
mainflag INTEGER,
messageID VARCHAR(256) FOR BIT DATA,
trflag INTEGER,
destinationID INTEGER,
terminalID INTEGER,
networkluID INTEGER,
destmsnameID INTEGER,
destsid INTEGER,
sourcemsnameID INTEGER,
sourcesid INTEGER,
errorkeyID INTEGER,
statuscode VARCHAR(10),
transactioncodeID INTEGER,
tpipenameID INTEGER,
membernameID INTEGER,
userid INTEGER,
messagecontrolID VARCHAR(256) FOR BIT DATA,
statedataID VARCHAR(256) FOR BIT DATA,
userdataID VARCHAR(256) FOR BIT DATA,
returncode INTEGER
) IN CYNIMSEVENTSTS;

delete from TABLEKEYS where TABLENAME = 'IMSEVENTS';
insert into TABLEKEYS values ('IMSEVENTS', 1);
create index I_REQID on IMSEVENTS(REQUESTID) PCTFREE 20;

create TABLE IMSTHREADS
(
 requestid INTEGER,
 threadid VARCHAR(255),
 currenttime timestamp not null
) IN TS_MAINTABLESPACE;

create index IT_REQID on IMSTHREADS(REQUESTID) ;
create index IT_THREADID on IMSTHREADS(THREADID) ;

create TABLE PORTALOVERVIEW
(
 probeid integer not null,
 nameid integer,
 currenttime timestamp not null,
 averagetime bigint,
 count integer,
 type integer 
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'PORTALOVERVIEW';
insert into TABLEKEYS values ('PORTALOVERVIEW', 1);
create index IPO_PROBEID on PORTALOVERVIEW(probeid) PCTFREE 20;

create TABLE PORTALSTATS
(
 probeid integer not null,
 nameid integer,
 currenttime timestamp,
 averagetime bigint,
 count integer,
 type integer 
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'PORTALSTATS';
insert into TABLEKEYS values ('PORTALSTATS', 1);
create index IPS_PROBEID on PORTALSTATS(probeid) PCTFREE 20;

create TABLE GPSMASK(
  ID VARCHAR(40) not null,
  MASK int not null unique
) IN TS_MAINTABLESPACE;

create TABLE WBI_REQUEST_OVERVIEW (
PROBE_ID integer not null,
REQUEST_TYPE integer not null,
VERB_ID integer not null,
BUSINESSOBJECT_ID integer not null,
RESPONSE_TIME bigint not null,
CURRENT_TIME timestamp not null
) IN TS_MAINTABLESPACE;
delete from TABLEKEYS where TABLENAME = 'WBI_REQUEST_OVERVIEW';
insert into TABLEKEYS values ('WBI_REQUEST_OVERVIEW', 1);
create index WBI_R_PROBEID on WBI_REQUEST_OVERVIEW(PROBE_ID) PCTFREE 20;
create index WBI_R_VERB on WBI_REQUEST_OVERVIEW(VERB_ID) PCTFREE 20;
create index WBI_R_BUSOBJ on WBI_REQUEST_OVERVIEW(BUSINESSOBJECT_ID) PCTFREE 20;
create index WBI_R_VERB_BUSOBJ on WBI_REQUEST_OVERVIEW(PROBE_ID, VERB_ID, BUSINESSOBJECT_ID) PCTFREE 20;

create view WBI_BO_VIEW as
select
    onehour.probeid,
    onehour.verb,
    onehour.object,
    value (fivemin.avg_resp_time, 0) fivemin_avg_resp_time,
    value (fivemin.throughput, 0) fivemin_throughput,
    value (onehour.avg_resp_time, 0) onehour_avg_resp_time,
    value (onehour.throughput, 0) onehour_throughput
from
    (
    select
        req.probe_id probeid,
        t1.textstring verb,
        t2.textstring object,
        avg (req.response_time) avg_resp_time,
        count (req.probe_id) throughput   
    from 
        wbi_request_overview req, textstring t1, textstring t2
    where 
        req.verb_id = t1.id
        and req.businessobject_id = t2.id
        and req.current_time > current_timestamp - 5 minute
    group by
        req.probe_id, t1.textstring, t2.textstring
    ) fivemin
right join
    (
    select
        req.probe_id probeid,
        t1.textstring verb,
        t2.textstring object,
        avg (req.response_time) avg_resp_time,
        count (req.probe_id) throughput   
    from 
        wbi_request_overview req, textstring t1, textstring t2
    where 
        req.verb_id = t1.id
        and req.businessobject_id = t2.id
        and req.current_time > current_timestamp - 1 hour
    group by
        req.probe_id, t1.textstring, t2.textstring
    ) onehour
on
    (fivemin.probeid = onehour.probeid
    and fivemin.verb = onehour.verb
    and fivemin.object = onehour.object);

create table MANAGINGSERVERSTATS (
CURRENTTIME timestamp not null,
STATUS integer not null
) IN TS_MAINTABLESPACE;

create table PROBE_CONFIG (
USERID varchar(50) not null,
CONTROLLER_ID varchar(40) not null,
PROBE_ID varchar(40),
APP_ID varchar(40) not null,
CONFIG_ID varchar(40),
SCHEDULE_ID varchar(40),
PROPS varchar(3000) not null,
IS_ENABLED integer default 0,
primary key (APP_ID)
) IN TS_MAINTABLESPACE;

create table SYSTEM_CONFIG (
USERID varchar(50) not null,
PROPS varchar(3000) not null
) IN TS_MAINTABLESPACE;

insert into SYSTEM_CONFIG values ('cyanea', '<properties>
                <property name="PMI_POLLING_FREQ" value="60"></property>
                <property name="REQ_SAMPLING_RATE_L1" value="2"></property>
                <property name="REQ_SAMPLING_RATE_L2" value="2"></property>
                <property name="REQ_SAMPLING_RATE_L3" value="2"></property>
                <property name="MOD_LEVEL" value="1001"></property>
                <property name="MAX_METHOD_RECORDS" value="10000"></property>
                <property name="SNMP_HOST" value=""></property>
                <property name="SNMP_PORT" value="162"></property>
                <property name="SNMP_COMMUNITY" value="public"></property>
        </properties>
');


create table TRAP_CONFIG (
USERID varchar(50) not null,
TRAP_ID varchar(40) not null,
TRAP_USERID varchar(40),
PROBE_ID varchar(40),
PROPS varchar(3000),
primary key (TRAP_ID)
) IN TS_MAINTABLESPACE;


create table SCHED_CONFIG (
USERID varchar(50) not null,
SCHED_ID varchar(40) not null,
PROPS varchar(3000) not null,
primary key (SCHED_ID)
) IN TS_MAINTABLESPACE;


create index MSSTATS_TIME on MANAGINGSERVERSTATS(CURRENTTIME);

create index MEM_CT on MEMORY_DATA(CURRENT_TIME) PCTFREE 20;

create index GC_CT on GC_DATA(CURRENT_TIME) PCTFREE 20;

create index IPO_CT on PORTALOVERVIEW(CURRENTTIME) PCTFREE 20;

create index IPS_CT on PORTALSTATS(CURRENTTIME) PCTFREE 20;

create index MQMSO_PROBEID on MQI_QUEUEMGR_SR_OVERVIEW(PROBE_ID) PCTFREE 20;

create index MQMSO_CT on MQI_QUEUEMGR_SR_OVERVIEW(CURRENT_TIME) PCTFREE 20;

create index MQSO_PROBEID on MQI_QUEUE_SR_OVERVIEW(PROBE_ID) PCTFREE 20;

create index MQSO_CT on MQI_QUEUE_SR_OVERVIEW(CURRENT_TIME) PCTFREE 20;

create index CSO_PROBEID on CTG_SR_OVERVIEW(PROBE_ID) PCTFREE 20;

create index CSO_CT on CTG_SR_OVERVIEW(CURRENT_TIME) PCTFREE 20;

create index MAPUG_USERID on MAP_US_GR(USERID) PCTFREE 20;

create index MAPUG_GROUPID on MAP_US_GR(GROUPID) PCTFREE 20;

create index MAPGS_GROUPID on MAP_GR_SE(GROUPID) PCTFREE 20;

create index MAPGS_SERVERID on MAP_GR_SE(SERVERID) PCTFREE 20;
